{
  "compilerOptions": {
    /* Visit https://aka.ms/tsconfig.json to read more about this file */

    "target": "es2020",
    "module": "commonjs",
    "declaration": true,
    "outDir": "./dist",
    "noImplicitAny": true,
    "strictFunctionTypes": true,
    "strictBindCallApply": true,
    "noImplicitThis": true,
    "alwaysStrict": true,
    "esModuleInterop": true,

    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,

    "resolveJsonModule": true,
    "types": ["jest"]
  },
  "lib": ["es2020.promise"],
  "include": ["src/**/*", "tests/**/*"]
}
